function Psat = Antoine(T, theta)
% Computes the vapor pressure using the Antoine model
%
%  ln Psat = A + B/(T + C)
%
% theta = [ A, B, C ]

A = theta(1);
B = theta(2);
C = theta(3);

Psat = exp( A + B./(T + C) );

