clear('all'); close('all'); 
%
% Create data for the A->B->C model
% jbr,  11/2008

clear all
close all
global theta

k1 = 2.5;
k2 = 0.5;
ca0 = 1;
cb0 = 0;
cc0 = 0;
c0 = [ca0; cb0; cc0];
theta = [k1; k2];
tfinal = 5;
nplot = 100;



measure.states = [1,2,3];
measure.time = linspace(0, tfinal, 20)';

%create the measurements by solving the model and adding noise
[tsolver, cabc] = ode15s(@paraode, measure.time, c0);
randn('seed',0);
y  = cabc(:,measure.states);
measure.data = y + 0.02*randn(size(y));
myfile = fopen('parallel_data.dat', 'w');
for i = 1: size(y,1)
  fprintf(myfile, '%8.2f', measure.time(i), measure.data(i,:));
  fprintf(myfile, '\n');
end
fclose(myfile);

plot(measure.time, measure.data, 'o');

